Subject: Re: failed to push

From: Jacob Helwig <[email-masked]>
Date: Mon, 1 Mar 2010 13:27:03 -0800

On Mar 1, 2010, at 13:15, Bruce Korb <[email-masked]> wrote:

> Hi,
>
> This message has no meaning at all.  I know it failed to push.
> I can tell from the comment "[rejected]".  It would be nice
> to know *WHY* it was rejected so I can fix the problem.
> How do I determine the cause, please?  Thank you!!  Regards, Bruce
>
> $ git push
> To ssh://[email-masked]/gitroot/autogen/autogen
> ! [rejected]        master -> master (non-fast forward)
> error: failed to push some refs to 'ssh://[email-masked]
> /gitroot/autogen/autogen'
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

It tells you right there at the end of the rejected line. The push
would have resulted in a non-fast-forward update of the branch.

To "fix" this, you need the current commit pointed to by the branch as
one of the ancestors of the commits you're trying to push.